GG
The GG payment method is processed through direct payment requests. The payment creation request must contain the following parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
pos_id | UUID | ✅ | Merchant's identifier (POS_ID) |
mode | MODE | ✅ | direct or hosted |
method | METHOD | ✅ | Payment method (purchase) |
amount | Number | ✅ | Transaction amount. Must be a positive number |
currency | CURRENCY | ✅ | Transaction currency (ISO_4217) |
order_3ds_bypass | String | ✅ | 3-D Secure flow option |
order_id | String | ✅ | Unique identifier of order |
description | String | ✅ | Payment description |
payway | String | ✅ | wallet |
customer_email | String | ✅ | Customer's email |
customer_phone | String | ✅ | Customer's phone |
properties.instrument_type | String | ✅ | Instrument type (wallet) |
server_url | URL | Webhook notification will be sent to this URL | |
result_url | URL | Customer will be redirected to this URL after payment |
Request example:
$ curl -i "https://api.wbsettle.com/api/v1/payment" \
-H "Content-Type: application/json" \
-H "X-API-AUTH: CPAY-HMAC-SHA1 ${API_KEY}:${SIGNATURE}" \
-H "X-API-KEY: ${ENDPOINTS_KEY}" \
-X POST -d '{
"pos_id": "00000000-0000-0000-0000-000000000000",
"mode": "direct",
"amount": 500,
"method": "purchase",
"currency": "UAH",
"payway": "wallet",
"properties": {
"instrument_type": "wallet"
},
"order_3ds_bypass": "supported",
"description": "Description",
"order_id": "123456789",
"customer_phone": "+380991234567",
"customer_email": "mail@mail.com",
"server_url": "https://callback.blackhole.com/callback",
"result_url": "https://example.com/result"
}'
Successful response with 303 HTTP status has a Location header where a customer should be redirected to proceed with payment.
Response example:
HTTP/2 303
# .. other headers
Location: https://api.wbsettle.com/api/v1/checkout/1b806782-3d97-4444-abb9-6e4b45d34663/form
Please inform WhiteBoot Support if you would like to use this payment method.